//  Diffusion Client Library for iOS, OS X and tvOS
//
//  Copyright (c) 2016 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;
#import <Diffusion/PTDiffusionTopicAttributes.h>

NS_ASSUME_NONNULL_BEGIN

/**
 @brief Attributes specific to custom topics.

 @see PTDiffusionCustomTopicDetailsBuilder

 @deprecated Since 5.9. Will be removed in a future release.

 @since 5.7
 */
__deprecated_msg("Will be removed in a future release.")
@interface PTDiffusionCustomTopicAttributes : PTDiffusionTopicAttributes

/**
 The handler class name.
 
 @since 5.7
 */
@property(nonatomic, readonly) NSString* handler;

/**
 Compares the receiver to the given custom topic attributes.

 @param customTopicAttributes The custom topic attributes object with which to compare the receiver.

 @return `YES` if the custom topic attributes is equal to the receiver, otherwise `NO`.

 @since 5.7
 */
-(BOOL)isEqualToCustomTopicAttributes:(nullable PTDiffusionCustomTopicAttributes *)customTopicAttributes;

@end

NS_ASSUME_NONNULL_END
