//  Diffusion Client Library for iOS, OS X and tvOS
//
//  Copyright (c) 2016 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;
#import <Diffusion/PTDiffusionEnumeration.h>

NS_ASSUME_NONNULL_BEGIN

/**
 @brief Specifies the duplicates handling policy for paged topics when
 operating in ordered mode.
 
 @see PTDiffusionPagedRecordTopicDetailsBuilder
 @see PTDiffusionPagedStringTopicDetailsBuilder
 @see PTDiffusionPagedTopicDetailsBuilder
 @see PTDiffusionPagedTopicOrderingPolicy

 @deprecated Since 5.9. Will be removed in a future release.

 @since 5.7
 */
__deprecated_msg("Will be removed in a future release.")
@interface PTDiffusionPagedTopicDuplicates : PTDiffusionEnumeration

/**
 @brief If a duplicate line is added it will be inserted before the first matching duplicate.

 @since 5.7
 */
+(instancetype)first;

/**
 @brief If a duplicate line is added it will be added after the last matching duplicate.

 @since 5.7
 */
+(instancetype)last;

/**
 @brief Duplicates are not allowed.

 If this is the policy, any attempt to add a duplicate will fail.

 @since 5.7
 */
+(instancetype)notAllowed;

@end

NS_ASSUME_NONNULL_END
