//  Diffusion Client Library for iOS, OS X and tvOS
//
//  Copyright (c) 2016 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;
#import <Diffusion/PTDiffusionEnumeration.h>

NS_ASSUME_NONNULL_BEGIN

/**
 @brief The ordering for the lines in a paged topic.
 
 @see PTDiffusionPagedTopicOrderingPolicy

 @deprecated Since 5.9. Will be removed in a future release.

 @since 5.7
 */
__deprecated_msg("Will be removed in a future release.")
@interface PTDiffusionPagedTopicOrdering : PTDiffusionEnumeration

/**
 @brief The topic lines are not ordered.

 @since 5.7
 */
+(instancetype)unordered;

/**
 @brief The topic lines are ordered according to a declared ordering policy.

 @since 5.7
 */
+(instancetype)declared;

/**
 @brief The topic lines are ordered using a server side comparator.

 @since 5.7
 */
+(instancetype)comparator;

@end

NS_ASSUME_NONNULL_END
