//  Diffusion Client Library for iOS, OS X and tvOS
//
//  Copyright (c) 2016 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;
#import <Diffusion/PTDiffusionEnumeration.h>

NS_ASSUME_NONNULL_BEGIN

/**
 @brief The update mode for protocol buffer topics.
 
 Indicates how content supplied to update the topic is interpreted.

 @note The capability to retrieve topic details for protocol buffer topics is provided
 for legacy purposes only as they have been deprecated since 5.7. They cannot
 be created using this client library.
 
 @see PTDiffusionProtocolBufferTopicAttributes

 @deprecated Since 5.9. Support for Google Protocol Buffer topics will be
 removed in a future release as Binary topics can be used to distribute
 protocol buffer messages.

 @since 5.7
 */
__deprecated_msg("Will be removed in a future release.")
@interface PTDiffusionProtocolBufferTopicUpdateMode : PTDiffusionEnumeration

/**
 Input messages passed to update methods are assumed to contain
 only values for fields that are being changed. Optional fields
 not specified will be assumed to remain the same in the topic
 state.

 This is the default mode.

 @since 5.7
 */
+(instancetype)partial;

/**
 Input messages passed to update methods are assumed to contain
 the full topic state. It is assumed that any optional fields that
 are not present are not present and if they exist in the current
 state they would be removed.

 @since 5.7
 */
+(instancetype)full;

@end

NS_ASSUME_NONNULL_END
