//  Diffusion Client Library for iOS, OS X and tvOS
//
//  Copyright (c) 2016 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;
#import <Diffusion/PTDiffusionTopicAttributes.h>

NS_ASSUME_NONNULL_BEGIN

/**
 @brief Attributes specific to record topics.
 
 @see PTDiffusionRecordTopicDetailsBuilder
 
 @since 5.7
 */
@interface PTDiffusionRecordTopicAttributes : PTDiffusionTopicAttributes

/**
 The empty field value.
 
 @since 5.7
 */
@property(nonatomic, readonly) NSString* emptyFieldValue;

/**
 Compares the receiver to the given record topic attributes.

 @param recordTopicAttributes The record topic attributes object with which to compare the receiver.

 @return `YES` if the record topic attributes is equal to the receiver, otherwise `NO`.

 @since 5.7
 */
-(BOOL)isEqualToRecordTopicAttributes:(nullable PTDiffusionRecordTopicAttributes *)recordTopicAttributes;

@end

NS_ASSUME_NONNULL_END
