//  Diffusion Client Library for iOS, OS X and tvOS
//
//  Copyright (c) 2016 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;
#import <Diffusion/PTDiffusionTopicSchema.h>

@class PTDiffusionRecordContentSchema;

NS_ASSUME_NONNULL_BEGIN

/**
 @brief Schema for record topics.

 @see PTDiffusionRecordTopicDetailsBuilder

 @since 5.7
 */
@interface PTDiffusionRecordTopicSchema : PTDiffusionTopicSchema

/**
 The default metadata used if not is explicitly supplied.

 @since 5.7
 */
+(PTDiffusionRecordContentSchema *)defaultMetadata;

/**
 The metadata.

 @since 5.7
 */
@property(nonatomic, readonly) PTDiffusionRecordContentSchema* metadata;

/**
 Compares the receiver to the given record topic schema.

 @param recordTopicSchema The record topic schema object with which to compare the receiver.

 @return `YES` if the record topic schema is equal to the receiver, otherwise `NO`.

 @since 5.7
 */
-(BOOL)isEqualToRecordTopicSchema:(nullable PTDiffusionRecordTopicSchema *)recordTopicSchema;

@end

NS_ASSUME_NONNULL_END
